## evolution-data-server 3.52.0

=== CMakeLists.txt ===
# Evolution-Data-Server build script

cmake_minimum_required(VERSION 3.15)
cmake_policy(VERSION 3.15)

project(evolution-data-server
	VERSION 3.52.0
	LANGUAGES C CXX)
set(PROJECT_BUGREPORT "https://gitlab.gnome.org/GNOME/evolution-data-server/issues/")

# Base Version: This is for API/version tracking for things like
# D-Bus server files. This should always be the major/minor of
# the stable version or stable version to be.
set(BASE_VERSION 3.52)

# This number is meaningless, but we're now stuck with it in our
# library names for backward compatibility.
set(API_VERSION 1.2)

# API version of the calendar part
set(CAL_API_VERSION 2.0)

# Required for FindIntltool module
set(GETTEXT_PACKAGE ${PROJECT_NAME})
set(GETTEXT_PO_DIR ${CMAKE_SOURCE_DIR}/po)

# Required for 'disttest' and 'distcheck' of DistTarget module
set(PROJECT_DISTCONFIGURE_PARAMS
	-DENABLE_GOA=ON
	-DENABLE_EXAMPLES=ON
	-DENABLE_INTROSPECTION=ON
	-DENABLE_VALA_BINDINGS=ON
	-DENABLE_INSTALLED_TESTS=ON
	-DENABLE_GTK_DOC=ON
	-DWITH_PRIVATE_DOCS=ON
)

# ******************************
# D-Bus versioning
# ******************************
# Actual name can be modified with DBUS_SERVICES_PREFIX option
set(ADDRESS_BOOK_DBUS_SERVICE_NAME	"org.gnome.evolution.dataserver.AddressBook10")
set(CALENDAR_DBUS_SERVICE_NAME		"org.gnome.evolution.dataserver.Calendar8")
set(SOURCES_DBUS_SERVICE_NAME		"org.gnome.evolution.dataserver.Sources5")
set(USER_PROMPTER_DBUS_SERVICE_NAME	"org.gnome.evolution.dataserver.UserPrompter0")
set(OAUTH2_RESPONSE_DBUS_SERVICE_NAME	"org.gnome.evolution.dataserver.OAuth2Response0")

# ******************************
# Library versioning
# ******************************
set(LIBCAMEL_CURRENT 64)
set(LIBCAMEL_REVISION 0)
set(LIBCAMEL_AGE 0)

set(LIBEBACKEND_CURRENT 11)
set(LIBEBACKEND_REVISION 0)
set(LIBEBACKEND_AGE 0)

set(LIBEDATASERVER_CURRENT 27)
set(LIBEDATASERVER_REVISION 0)
set(LIBEDATASERVER_AGE 0)

set(LIBEDATASERVERUI_CURRENT 4)
set(LIBEDATASERVERUI_REVISION 0)
set(LIBEDATASERVERUI_AGE 0)

set(LIBEDATASERVERUI4_API_VERSION 1.0)
set(LIBEDATASERVERUI4_CURRENT 0)
set(LIBEDATASERVERUI4_REVISION 0)
set(LIBEDATASERVERUI4_AGE 0)

set(LIBEBOOK_CURRENT 21)
set(LIBEBOOK_REVISION 1)
set(LIBEBOOK_AGE 3)

set(LIBEBOOK_CONTACTS_CURRENT 4)
set(LIBEBOOK_CONTACTS_REVISION 0)
set(LIBEBOOK_CONTACTS_AGE 0)

set(LIBEDATABOOK_CURRENT 27)
set(LIBEDATABOOK_REVISION 0)
set(LIBEDATABOOK_AGE 0)

set(LIBECAL_CURRENT 3)
set(LIBECAL_REVISION 0)
set(LIBECAL_AGE 0)

set(LIBEDATACAL_CURRENT 2)
set(LIBEDATACAL_REVISION 0)
set(LIBEDATACAL_AGE 0)

# Keep these two definitions in agreement.
set(glib_minimum_version 2.68)
set(glib_encoded_version GLIB_VERSION_2_68)

# Keep these two definitions in agreement.
set(gdk_minimum_version 3.20)
set(gdk_encoded_version GDK_VERSION_3_20)

# Keep these two definitions in agreement.
set(gdk4_minimum_version 4.4)
set(gdk4_encoded_version GDK_VERSION_4_4)

# Keep these two definitions in agreement.
set(soup_minimum_version 3.1.1)
set(soup_encoded_version SOUP_VERSION_3_2)

# Warn about API usage that violates our minimum requirements.
add_definitions(-DGLIB_VERSION_MAX_ALLOWED=${glib_encoded_version})
add_definitions(-DSOUP_VERSION_MAX_ALLOWED=${soup_encoded_version})

# These will suppress warnings about newly-deprecated symbols. Ideally
# these settings should match our minimum requirements and we will clean
# up any new deprecation warnings after bumping our minimum requirements.
# But if the warnings get to be overwhelming, use fixed versions instead.
add_definitions(-DGLIB_VERSION_MIN_REQUIRED=${glib_encoded_version})
add_definitions(-DSOUP_VERSION_MIN_REQUIRED=${soup_encoded_version})

set(libical_glib_minimum_version 3.0.7)
set(libsecret_minimum_version 0.5)
set(libxml_minimum_version 2.0.0)
set(sqlite_minimum_version 3.7.17)

# Optional Packages
set(goa_minimum_version 3.8)
set(gweather_minimum_version 3.91)
set(json_glib_minimum_version 1.0.4)
set(webkit2gtk_minimum_version 2.34.0)
set(webkit2gtk4_minimum_version 2.36.0)
set(libcanberra_gtk_minimum_version 0.25)

# Load modules from the source tree
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

set(CMAKE_POSITION_INDEPENDENT_CODE ON)
# Packagers might want to need different settings for the RPATH related things
# From experience, especially CMAKE_BUILD_WITH_INSTALL_RPATH might need to be
# switched to ON, if CMake fails to set the right values during make install
set(CMAKE_SKIP_RPATH OFF CACHE BOOL INTERNAL)
set(CMAKE_SKIP_BUILD_RPATH OFF CACHE BOOL INTERNAL)
set(CMAKE_BUILD_WITH_INSTALL_RPATH OFF CACHE BOOL INTERNAL)
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH ON CACHE BOOL INTERNAL)
# CMAKE_INSTALL_RPATH is set below

# CMake modules
include(CheckCCompilerFlag)
include(CheckCSourceCompiles)
include(CheckCSourceRuns)
include(CheckFunctionExists)
include(CheckIncludeFile)
include(CheckLibraryExists)
include(CheckSymbolExists)
include(CheckTypeSize)

# Project custom modules
include(PrintableOptions)

add_printable_variable(LIB_SUFFIX "Library directory suffix, usually defined to '64' for x86_64 systems" "")
add_printable_variable_bare(CMAKE_INSTALL_PREFIX)
add_printable_variable_path(BIN_INSTALL_DIR "Install directory for binary files, defaults to CMAKE_INSTALL_PREFIX/bin" "")
add_printable_variable_path(INCLUDE_INSTALL_DIR "Install directory for header files, defaults to CMAKE_INSTALL_PREFIX/include" "")
add_printable_variable_path(LIB_INSTALL_DIR "Install directory for library files, defaults to CMAKE_INSTALL_PREFIX/lib{LIB_SUFFIX}" "")
add_printable_variable_path(LIBEXEC_INSTALL_DIR "Install directory for library executable files, defaults to CMAKE_INSTALL_PREFIX/libexec" "")
add_printable_variable_path(SHARE_INSTALL_PREFIX "Install directory for shared files, defaults to CMAKE_INSTALL_PREFIX/share" "")
add_printable_variable_path(LOCALE_INSTALL_DIR "Install directory for locale files, defaults to SHARE_INSTALL_PREFIX/locale" "")
add_printable_variable_path(SYSCONF_INSTALL_DIR "Install directory for system configuration files, defaults to CMAKE_INSTALL_PREFIX/etc" "")
add_printable_variable_path(EXTENSIONS_DIR "Directory, where out-of-tree extensions can be installed, defaults to LIBEXEC_INSTALL_DIR/evolution/extensions" "")

macro(ensure_default_value _var _defvalue)
	if(${_var} STREQUAL "")
		set(${_var} ${_defvalue})
	endif(${_var} STREQUAL "")
endmacro(ensure_default_value)

ensure_default_value(BIN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/bin")
ensure_default_value(INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include")
ensure_default_value(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}")
ensure_default_value(LIBEXEC_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/libexec")
ensure_default_value(SHARE_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/share")
ensure_default_value(LOCALE_INSTALL_DIR "${SHARE_INSTALL_PREFIX}/locale")
ensure_default_value(SYSCONF_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/etc")
ensure_default_value(EXTENSIONS_DIR "${LIBEXEC_INSTALL_DIR}/evolution/extensions")

add_printable_variable(DBUS_SERVICES_PREFIX "Prefix for D-Bus services, usually left empty, without trailing dot" "")

if(NOT ("${DBUS_SERVICES_PREFIX}" STREQUAL ""))
	set(ADDRESS_BOOK_DBUS_SERVICE_NAME	"${DBUS_SERVICES_PREFIX}.${ADDRESS_BOOK_DBUS_SERVICE_NAME}")
	set(CALENDAR_DBUS_SERVICE_NAME		"${DBUS_SERVICES_PREFIX}.${CALENDAR_DBUS_SERVICE_NAME}")
	set(SOURCES_DBUS_SERVICE_NAME		"${DBUS_SERVICES_PREFIX}.${SOURCES_DBUS_SERVICE_NAME}")
	set(USER_PROMPTER_DBUS_SERVICE_NAME	"${DBUS_SERVICES_PREFIX}.${USER_PROMPTER_DBUS_SERVICE_NAME}")
	set(OAUTH2_RESPONSE_DBUS_SERVICE_NAME	"${DBUS_SERVICES_PREFIX}.${OAUTH2_RESPONSE_DBUS_SERVICE_NAME}")
else(NOT ("${DBUS_SERVICES_PREFIX}" STREQUAL ""))
	unset(DBUS_SERVICES_PREFIX)
endif(NOT ("${DBUS_SERVICES_PREFIX}" STREQUAL ""))

# ******************************
# Special directories
# ******************************

# If you add something here, consider whether or not you also
# need to add it to one or more .pc.in files (for Connector, etc)

set(privdatadir "${SHARE_INSTALL_PREFIX}/${PROJECT_NAME}")
set(privincludedir "${INCLUDE_INSTALL_DIR}/${PROJECT_NAME}")
set(privlibdir "${LIB_INSTALL_DIR}/${PROJECT_NAME}")
set(privlibexecdir "${LIBEXEC_INSTALL_DIR}/${PROJECT_NAME}")
set(icondir "${privdatadir}/icons")

SET(CMAKE_INSTALL_RPATH "${privlibdir}")

if(WIN32)
	# On Win32 there is no "rpath" mechanism. We install the private
	# shared libraries in $libdir, meaning the DLLs will actually be in
	# $bindir. This means just having $bindir in PATH will be enough.
	set(privsolibdir "${LIB_INSTALL_DIR}")
else(WIN32)
	set(privsolibdir "${privlibdir}")
endif(WIN32)

set(imagesdir "${SHARE_INSTALL_PREFIX}/pixmaps/${PROJECT_NAME}")
set(moduledir "${privlibdir}/registry-modules")
set(credentialmoduledir "${privlibdir}/credential-modules")
set(uimoduledir "${privlibdir}/ui-modules")
set(ebook_backenddir "${privlibdir}/addressbook-backends")
set(ecal_backenddir "${privlibdir}/calendar-backends")
set(ro_sourcesdir "${privdatadir}/ro-sources")
set(rw_sourcesdir "${privdatadir}/rw-sources")
set(camel_providerdir "${privlibdir}/camel-providers")

# *******************
# D-BUS service stuff
# *******************
set(servicelibexecdir "${LIBEXEC_INSTALL_DIR}")
if(WIN32 AND (NOT ("$ENV{WIN32_SERVICELIBEXECDIR}" STREQUAL "")))
	#
	# D-Bus requires Windows full path, not Unix-like, like the one provided by MSYS
	#
	AC_SUBST(WIN32_SERVICELIBEXECDIR)
	set(servicelibexecdir "$ENV{WIN32_SERVICELIBEXECDIR}")
endif(WIN32 AND (NOT ("$ENV{WIN32_SERVICELIBEXECDIR}" STREQUAL "")))

add_printable_variable_path(WITH_DBUS_SERVICE_DIR "Set directory for D-Bus service files" "${SHARE_INSTALL_PREFIX}/dbus-1/services")

# It is correct for this to be in ${CMAKE_INSTALL_PREFIX}/lib, even on systems where that
# does not match ${LIB_INSTALL_DIR}. This is what systemd uses on such platforms.

add_printable_variable_path(WITH_SYSTEMDUSERUNITDIR "Set directory for systemd user units, or 'no' to disable" "${CMAKE_INSTALL_PREFIX}/lib/systemd/user")

string(LENGTH "${CMAKE_BINARY_DIR}" bindirlen)
string(LENGTH "${WITH_SYSTEMDUSERUNITDIR}" maxlen)
if(maxlen LESS bindirlen)
	set(substr "***")
else(maxlen LESS bindirlen)
	string(SUBSTRING "${WITH_SYSTEMDUSERUNITDIR}" 0 ${bindirlen} substr)
endif(maxlen LESS bindirlen)
string(TOUPPER "${WITH_SYSTEMDUSERUNITDIR}" optupper)

if(("${optupper}" STREQUAL "ON") OR ("${substr}" STREQUAL "${CMAKE_BINARY_DIR}"))
	set(WITH_SYSTEMD_USER_UNITS ON)
	set(WITH_SYSTEMDUSERUNITDIR "${CMAKE_INSTALL_PREFIX}/lib/systemd/user")
elseif(NOT WITH_SYSTEMDUSERUNITDIR)
	set(WITH_SYSTEMD_USER_UNITS OFF)
else()
	set(WITH_SYSTEMD_USER_UNITS ON)
endif()

unset(bindirlen)
unset(maxlen)
unset(substr)
unset(optupper)

# ******************************
# Dependencies
# ******************************

include(CodeCoverageGCOV)
include(CheckTarget)
include(DistTargets)
include(GLibTools)
include(GObjectIntrospection)
include(GIDocgen)
include(GtkDoc)

# defined here, to be printed above the installed tests option
add_printable_option(ENABLE_TESTS "Build unit tests" ON)

include(InstalledTests)
include(PkgConfigEx)
include(SetupBuildFlags)
include(UninstallTarget)
include(IconCache)

if(NOT ENABLE_TESTS AND ENABLE_INSTALLED_TESTS)
	message(FATAL_ERROR "Cannot install the tests, when build of the tests is disabled. Either enable build of the tests with -DENABLE_TESTS=ON or disable install of the tests with -DENABLE_INSTALLED_TESTS=OFF")
endif(NOT ENABLE_TESTS AND ENABLE_INSTALLED_TESTS)

include(FindGettext)
include(I18n)
include(FindKRB5)
include(FindLDAP)
include(FindPhonenumber)
include(FindSMIME)

add_printable_option(ENABLE_MAINTAINER_MODE "Enable maintainer mode" OFF)
add_printable_option(WITH_PRIVATE_DOCS "Build documentation for private libraries (requires -DENABLE_GTK_DOC=ON" OFF)

if(ENABLE_MAINTAINER_MODE)
	set(BUILD_TESTING ON)
endif(ENABLE_MAINTAINER_MODE)

# Setup compiler/linker flags
setup_build_flags(${ENABLE_MAINTAINER_MODE})

CHECK_INCLUDE_FILE(com_err.h HAVE_COM_ERR_H)

=== data/CMakeLists.txt ===
# ********************************
# evolution-alarm-notify
# ********************************

set(autostartdir ${SYSCONF_INSTALL_DIR}/xdg/autostart)
set(desktopdir ${SHARE_INSTALL_PREFIX}/applications)
set(alarm_notify_icon hicolor_apps_scalable_org.gnome.Evolution-alarm-notify.svg)

configure_file(org.gnome.Evolution-alarm-notify.desktop.in.in
	org.gnome.Evolution-alarm-notify.desktop.in
	@ONLY
)

i18n_merge_file(${CMAKE_CURRENT_BINARY_DIR}/org.gnome.Evolution-alarm-notify.desktop.in org.gnome.Evolution-alarm-notify.desktop ${CMAKE_SOURCE_DIR}/po)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.gnome.Evolution-alarm-notify.desktop
	DESTINATION ${autostartdir}
)

# To have GNOME Shell show the GNotification notifications from it; otherwise it ignores them
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.gnome.Evolution-alarm-notify.desktop
	DESTINATION ${desktopdir}
)

add_icon_cache_files("${SHARE_INSTALL_PREFIX}" alarm_notify_icon)

# ********************************
# OAuth2 Handler helper
# ********************************

set(OAUTH2_SCHEMES "x-scheme-handler/eds-oauth2;")
if(NOT WITH_GOOGLE_CLIENT_ID STREQUAL "")
	set(CMAKE_REQUIRED_DEFINITIONS ${DATA_SERVER_CFLAGS})
	set(CMAKE_REQUIRED_INCLUDES ${CMAKE_BINARY_DIR} ${DATA_SERVER_INCLUDE_DIRS})
	set(CMAKE_REQUIRED_LIBRARIES ${DATA_SERVER_LDFLAGS})
	list(APPEND CMAKE_REQUIRED_DEFINITIONS -DG_LOG_DOMAIN=\"oauth2-value-helper\" -DBUILDING_VALUE_HELPER=1)
	file(TO_NATIVE_PATH "${CMAKE_BINARY_DIR}/oauth2-google-client-id" _binary_dir_to_file)
	CHECK_C_SOURCE_RUNS("#define DECODE_KEY \"${WITH_GOOGLE_CLIENT_ID}\"
			     #define DECODE_TO_FILE \"${_binary_dir_to_file}\"
			     #define DECODE_REVERSED 1
			     #include \"${CMAKE_SOURCE_DIR}/src/libedataserver/e-oauth2-service.c\"" _decoded)
	file(READ ${_binary_dir_to_file} _google_oauth2_scheme)
	unset(_binary_dir_to_file)
	unset(_decoded)
	unset(CMAKE_REQUIRED_LIBRARIES)
	unset(CMAKE_REQUIRED_INCLUDES)
	unset(CMAKE_REQUIRED_DEFINITIONS)

	if(NOT _google_oauth2_scheme STREQUAL "")
		set(OAUTH2_SCHEMES "x-scheme-handler/${_google_oauth2_scheme};${OAUTH2_SCHEMES}")
	endif(NOT _google_oauth2_scheme STREQUAL "")
	unset(_google_oauth2_scheme)
endif(NOT WITH_GOOGLE_CLIENT_ID STREQUAL "")

configure_file(org.gnome.evolution-data-server.OAuth2-handler.desktop.in
	org.gnome.evolution-data-server.OAuth2-handler.desktop
	@ONLY
)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.gnome.evolution-data-server.OAuth2-handler.desktop
	DESTINATION ${desktopdir}
)

# ********************************
# GSettings schemas
# ********************************

set(SCHEMAS
	org.gnome.Evolution.DefaultSources.gschema.xml
	org.gnome.evolution-data-server.gschema.xml
	org.gnome.evolution-data-server.calendar.gschema.xml
	org.gnome.evolution-data-server.addressbook.gschema.xml
	org.gnome.evolution.eds-shell.gschema.xml
	org.gnome.evolution.shell.network-config.gschema.xml
)

set(BUILT_SCHEMAS)
foreach(_schema IN LISTS SCHEMAS)
	configure_file(${_schema}.in ${_schema} COPYONLY)
	list(APPEND BUILT_SCHEMAS ${CMAKE_CURRENT_BINARY_DIR}/${_schema})
endforeach(_schema)

add_custom_command(OUTPUT gschemas.compiled
	COMMAND ${GLIB_COMPILE_SCHEMAS} .
)

add_custom_target(data-files ALL
	DEPENDS gschemas.compiled
		org.gnome.Evolution-alarm-notify.desktop
)

add_gsettings_schemas(data-files ${BUILT_SCHEMAS})

# ********************************
# GConf convert file
# ********************************

install(FILES evolution-data-server.convert
	DESTINATION ${SHARE_INSTALL_PREFIX}/GConf/gsettings
)

# ********************************
# Images
# ********************************

set(IMAGES
	category_birthday_16.png
	category_business_16.png
	category_favorites_16.png
	category_gifts_16.png
	category_goals_16.png
	category_holiday_16.png
	category_holiday-cards_16.png
	category_hot-contacts_16.png
	category_ideas_16.png
	category_international_16.png
	category_key-customer_16.png
	category_miscellaneous_16.png
	category_personal_16.png
	category_phonecalls_16.png
	category_status_16.png
	category_strategies_16.png
	category_suppliers_16.png
	category_time-and-expenses_16.png
)

install(FILES ${IMAGES}
	DESTINATION ${imagesdir}
)

# ********************************
# Fallback icons
# ********************************

set(private_icons
	hicolor_status_16x16_appointment-missed.png
	hicolor_status_22x22_appointment-missed.png
	hicolor_status_24x24_appointment-missed.png
	hicolor_status_32x32_appointment-missed.png
	hicolor_status_48x48_appointment-missed.png
	hicolor_status_256x256_appointment-missed.png
	hicolor_status_16x16_appointment-soon.png
	hicolor_status_22x22_appointment-soon.png
	hicolor_status_24x24_appointment-soon.png
	hicolor_status_32x32_appointment-soon.png
	hicolor_status_48x48_appointment-soon.png
	hicolor_status_256x256_appointment-soon.png
	hicolor_status_16x16_dialog-password.png
	hicolor_status_22x22_dialog-password.png
	hicolor_status_24x24_dialog-password.png
	hicolor_status_32x32_dialog-password.png
	hicolor_status_48x48_dialog-password.png
	hicolor_status_256x256_dialog-password.png
	hicolor_status_16x16_dialog-warning.png
	hicolor_status_22x22_dialog-warning.png
	hicolor_status_24x24_dialog-warning.png
	hicolor_status_32x32_dialog-warning.png
	hicolor_status_48x48_dialog-warning.png
	hicolor_status_256x256_dialog-warning.png
)

add_icon_cache_files("${privdatadir}" private_icons)

=== docs/CMakeLists.txt ===
add_subdirectory(reference)

if (ENABLE_GI_DOCGEN)
	set(CAMEL_GIR_PATH "${CMAKE_BINARY_DIR}/src/camel")
	configure_file(camel.toml.in camel.toml @ONLY)
	generate_gi_documentation(
		camel
		${CMAKE_CURRENT_BINARY_DIR}/camel.toml
		"${CAMEL_GIR_PATH}/Camel-${API_VERSION}.gir"
	)
	set(EDATASERVER_GIR_PATH "${CMAKE_BINARY_DIR}/src/libedataserver")
	configure_file(libedataserver.toml.in libedataserver.toml @ONLY)
	generate_gi_documentation(
		libedataserver
		${CMAKE_CURRENT_BINARY_DIR}/libedataserver.toml
		"${EDATASERVER_GIR_PATH}/EDataServer-${API_VERSION}.gir"
		INCLUDE_PATHS
			${CAMEL_GIR_PATH}
	)
	set(EBACKEND_GIR_PATH "${CMAKE_BINARY_DIR}/src/libebackend")
	configure_file(libebackend.toml.in libebackend.toml @ONLY)
	generate_gi_documentation(
		libebackend
		${CMAKE_CURRENT_BINARY_DIR}/libebackend.toml
		"${EBACKEND_GIR_PATH}/EBackend-${API_VERSION}.gir"
		INCLUDE_PATHS
			${CAMEL_GIR_PATH}
			${EDATASERVER_GIR_PATH}
	)
	set(EBOOK_CONTACTS_GIR_PATH "${CMAKE_BINARY_DIR}/src/addressbook/libebook-contacts")
	configure_file(libebook-contacts.toml.in libebook-contacts.toml @ONLY)
	generate_gi_documentation(
		libebook-contacts
		${CMAKE_CURRENT_BINARY_DIR}/libebook-contacts.toml
		"${EBOOK_CONTACTS_GIR_PATH}/EBookContacts-${API_VERSION}.gir"
		INCLUDE_PATHS
			${CAMEL_GIR_PATH}
			${EDATASERVER_GIR_PATH}
	)
	set(EDATA_BOOK_GIR_PATH "${CMAKE_BINARY_DIR}/src/addressbook/libedata-book")
	configure_file(libedata-book.toml.in libedata-book.toml @ONLY)
	generate_gi_documentation(
		libedata-book
		${CMAKE_CURRENT_BINARY_DIR}/libedata-book.toml
		"${EDATA_BOOK_GIR_PATH}/EDataBook-${API_VERSION}.gir"
		INCLUDE_PATHS
			${CAMEL_GIR_PATH}
			${EDATASERVER_GIR_PATH}
			${EBOOK_CONTACTS_GIR_PATH}
			${EBACKEND_GIR_PATH}
	)
	set(EBOOK_GIR_PATH "${CMAKE_BINARY_DIR}/src/addressbook/libebook")
	configure_file(libebook.toml.in libebook.toml @ONLY)
	generate_gi_documentation(
		libebook
		${CMAKE_CURRENT_BINARY_DIR}/libebook.toml
		"${EBOOK_GIR_PATH}/EBook-${API_VERSION}.gir"
		INCLUDE_PATHS
			${CAMEL_GIR_PATH}
			${EDATASERVER_GIR_PATH}
			${EBOOK_CONTACTS_GIR_PATH}
			${EDATA_BOOK_GIR_PATH}
	)
	set(ECAL_GIR_PATH "${CMAKE_BINARY_DIR}/src/calendar/libecal")
	configure_file(libecal.toml.in libecal.toml @ONLY)
	generate_gi_documentation(
		libecal
		${CMAKE_CURRENT_BINARY_DIR}/libecal.toml
		"${ECAL_GIR_PATH}/ECal-${CAL_API_VERSION}.gir"
		INCLUDE_PATHS
			${CAMEL_GIR_PATH}
			${EDATASERVER_GIR_PATH}
	)
	set(EDATA_CAL_GIR_PATH "${CMAKE_BINARY_DIR}/src/calendar/libedata-cal")
	configure_file(libedata-cal.toml.in libedata-cal.toml @ONLY)
	generate_gi_documentation(
		libedata-cal
		${CMAKE_CURRENT_BINARY_DIR}/libedata-cal.toml
		"${EDATA_CAL_GIR_PATH}/EDataCal-${CAL_API_VERSION}.gir"
		INCLUDE_PATHS
			${CAMEL_GIR_PATH}
			${EDATASERVER_GIR_PATH}
			${ECAL_GIR_PATH}
			${EBACKEND_GIR_PATH}
	)
	set(EDATASERVERUI_GIR_PATH "${CMAKE_BINARY_DIR}/src/libedataserverui")
	if(ENABLE_GTK)
	configure_file(libedataserverui.toml.in libedataserverui.toml @ONLY)
	generate_gi_documentation(
		libedataserverui
		${CMAKE_CURRENT_BINARY_DIR}/libedataserverui.toml
		"${EDATASERVERUI_GIR_PATH}/EDataServerUI-${API_VERSION}.gir"
		INCLUDE_PATHS
			${CAMEL_GIR_PATH}
			${EDATASERVER_GIR_PATH}
			${ECAL_GIR_PATH}
	)
	endif(ENABLE_GTK)
	if(ENABLE_GTK4)
	configure_file(libedataserverui4.toml.in libedataserverui4.toml @ONLY)
	generate_gi_documentation(
		libedataserverui4
		${CMAKE_CURRENT_BINARY_DIR}/libedataserverui4.toml
		"${EDATASERVERUI_GIR_PATH}/EDataServerUI4-${LIBEDATASERVERUI4_API_VERSION}.gir"
		INCLUDE_PATHS
			${CAMEL_GIR_PATH}
			${EDATASERVER_GIR_PATH}
			${ECAL_GIR_PATH}
	)
	endif(ENABLE_GTK4)
endif (ENABLE_GI_DOCGEN)

=== src/camel/CMakeLists.txt ===
glib_mkenums_multiple(camel-enumtypes CAMEL_ENUMTYPES_H
	camel-enums.h
	camel-folder.h
	camel-message-info.h
	camel-mime-filter-canon.h
	camel-mime-filter-enriched.h
	camel-service.h
	camel-sexp.h
	camel-store.h
	camel-url.h
)

add_executable(camel-gen-tables
	camel-gen-tables.c
)

target_include_directories(camel-gen-tables PUBLIC
	${CMAKE_BINARY_DIR}
)

add_custom_command(
	OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/camel-mime-tables.c
	COMMAND ${CMAKE_CURRENT_BINARY_DIR}/camel-gen-tables >${CMAKE_CURRENT_BINARY_DIR}/camel-mime-tables.c
	DEPENDS camel-gen-tables
)

set(SOURCES
	camel.c
	camel-address.c
	camel-async-closure.c
	camel-block-file.c
	camel-certdb.c
	camel-charset-map.c
	camel-cipher-context.c
	camel-data-cache.c
	camel-data-wrapper.c
	camel-db.c
	camel-debug.c
	camel-file-utils.c
	camel-filter-driver.c
	camel-filter-input-stream.c
	camel-filter-output-stream.c
	camel-filter-search.c
	camel-folder-search.c
	camel-folder-summary.c
	camel-folder-thread.c
	camel-folder.c
	camel-gpg-context.c
	camel-hostname-utils.c
	camel-html-parser.c
	camel-iconv.c
	camel-index.c
	camel-internet-address.c
	camel-junk-filter.c
	camel-local-settings.c
	camel-lock.c
	camel-medium.c
	camel-memchunk.c
	camel-mempool.c
	camel-message-info.c
	camel-message-info-base.c
	camel-mime-filter-basic.c
	camel-mime-filter-bestenc.c
	camel-mime-filter-canon.c
	camel-mime-filter-charset.c
	camel-mime-filter-crlf.c
	camel-mime-filter-enriched.c
	camel-mime-filter-from.c
	camel-mime-filter-gzip.c
	camel-mime-filter-html.c
	camel-mime-filter-index.c
	camel-mime-filter-linewrap.c
	camel-mime-filter-pgp.c
	camel-mime-filter-preview.c
	camel-mime-filter-progress.c
	camel-mime-filter-tohtml.c
	camel-mime-filter-windows.c
	camel-mime-filter-yenc.c
	camel-mime-filter.c
	camel-mime-message.c
	camel-mime-parser.c
	camel-mime-part-utils.c
	camel-mime-part.c
	camel-mime-utils.c
	camel-msgport.c
	camel-multipart-encrypted.c
	camel-multipart-signed.c
	camel-multipart.c
	camel-named-flags.c
	camel-name-value-array.c
	camel-net-utils.c
	camel-network-service.c
	camel-network-settings.c
	camel-nntp-address.c
	camel-null-output-stream.c
	camel-object-bag.c
	camel-object.c
	camel-offline-folder.c
	camel-offline-settings.c
	camel-offline-store.c
	camel-operation.c
	camel-partition-table.c
	camel-provider.c
	camel-sasl-anonymous.c
	camel-sasl-cram-md5.c
	camel-sasl-digest-md5.c
	camel-sasl-gssapi.c
	camel-sasl-login.c
	camel-sasl-ntlm.c
	camel-sasl-plain.c
	camel-sasl-popb4smtp.c
	camel-sasl-xoauth2.c
	camel-sasl-xoauth2-google.c
	camel-sasl-xoauth2-outlook.c
	camel-sasl-xoauth2-yahoo.c
	camel-sasl.c
	camel-search-private.c
	camel-search-sql-sexp.c
	camel-service.c
	camel-session.c
	camel-settings.c
	camel-sexp.c
	camel-smime-context.c
	camel-store-settings.c
	camel-store-summary.c
	camel-store.c
	camel-stream-buffer.c
	camel-stream-filter.c
	camel-stream-fs.c
	camel-stream-mem.c
	camel-stream-null.c
	camel-stream.c
	camel-string-utils.c
	camel-subscribable.c
	camel-text-index.c
	camel-transport.c
	camel-trie.c
	camel-uid-cache.c
	camel-url-scanner.c
	camel-url.c
	camel-utf8.c
	camel-utils.c
	camel-vee-data-cache.c
	camel-vee-folder.c
	camel-vee-message-info.c
	camel-vee-store.c
	camel-vee-summary.c
	camel-vtrash-folder.c
	camel-weak-ref-group.c
	${CMAKE_CURRENT_BINARY_DIR}/camel-enumtypes.c
	${CMAKE_CURRENT_BINARY_DIR}/camel-mime-tables.c
)

if(WIN32)
	list(APPEND SOURCES
		camel-win32.c
	)
else(WIN32)
	list(APPEND SOURCES
		camel-lock-client.c
		camel-movemail.c
		camel-stream-process.c
	)
endif(WIN32)

set(HEADERS
	camel.h
	camel-address.h
	camel-autocleanups.h
	camel-async-closure.h
	camel-block-file.h
	camel-certdb.h
	camel-charset-map.h
	camel-cipher-context.h
	camel-data-cache.h
	camel-data-wrapper.h
	camel-db.h
	camel-debug.h
	camel-enums.h
	camel-file-utils.h
	camel-filter-driver.h
	camel-filter-input-stream.h
	camel-filter-output-stream.h
	camel-filter-search.h
	camel-folder-search.h
	camel-folder-summary.h
	camel-folder-thread.h
	camel-folder.h
	camel-gpg-context.h
	camel-hostname-utils.h
	camel-html-parser.h
	camel-iconv.h
	camel-index.h
	camel-internet-address.h
	camel-junk-filter.h
	camel-local-settings.h
	camel-lock-client.h
	camel-lock-helper.h
	camel-lock.h
	camel-medium.h
	camel-memchunk.h
	camel-mempool.h
	camel-message-info.h
	camel-message-info-base.h
	camel-mime-filter-basic.h
	camel-mime-filter-bestenc.h
	camel-mime-filter-canon.h
	camel-mime-filter-charset.h
	camel-mime-filter-crlf.h
	camel-mime-filter-enriched.h
	camel-mime-filter-from.h
	camel-mime-filter-gzip.h
	camel-mime-filter-html.h
	camel-mime-filter-index.h
	camel-mime-filter-linewrap.h
	camel-mime-filter-pgp.h
	camel-mime-filter-preview.h
	camel-mime-filter-progress.h
	camel-mime-filter-tohtml.h
	camel-mime-filter-windows.h
	camel-mime-filter-yenc.h
	camel-mime-filter.h
	camel-mime-message.h
	camel-mime-parser.h
	camel-mime-part-utils.h
	camel-mime-part.h
	camel-mime-utils.h
	camel-movemail.h
	camel-msgport.h
	camel-multipart-encrypted.h
	camel-multipart-signed.h
	camel-multipart.h
	camel-named-flags.h
	camel-name-value-array.h
	camel-net-utils.h
	camel-network-service.h
	camel-network-settings.h
	camel-nntp-address.h
	camel-null-output-stream.h
	camel-object-bag.h
	camel-object.h
	camel-offline-folder.h
	camel-offline-settings.h
	camel-offline-store.h
	camel-operation.h
	camel-partition-table.h
	camel-provider.h
	camel-sasl-anonymous.h
	camel-sasl-cram-md5.h
	camel-sasl-digest-md5.h
	camel-sasl-gssapi.h
	camel-sasl-login.h
	camel-sasl-ntlm.h
	camel-sasl-plain.h
	camel-sasl-popb4smtp.h
	camel-sasl-xoauth2.h
	camel-sasl-xoauth2-google.h
	camel-sasl-xoauth2-outlook.h
	camel-sasl-xoauth2-yahoo.h
	camel-sasl.h
	camel-search-private.h
	camel-search-sql-sexp.h
	camel-service.h
	camel-session.h
	camel-settings.h
	camel-sexp.h
	camel-smime-context.h
	camel-store-settings.h
	camel-store-summary.h
	camel-store.h
	camel-stream-buffer.h
	camel-stream-filter.h
	camel-stream-fs.h
	camel-stream-mem.h
	camel-stream-null.h
	camel-stream-process.h
	camel-stream.h
	camel-string-utils.h
	camel-subscribable.h
	camel-text-index.h
	camel-transport.h
	camel-trie.h
	camel-uid-cache.h
	camel-url-scanner.h
	camel-url.h
	camel-utf8.h
	camel-utils.h
	camel-vee-data-cache.h
	camel-vee-folder.h
	camel-vee-message-info.h
	camel-vee-store.h
	camel-vee-summary.h
	camel-vtrash-folder.h
	camel-weak-ref-group.h
	${CMAKE_CURRENT_BINARY_DIR}/camel-enumtypes.h
)

add_library(camel SHARED
	${SOURCES}
	${HEADERS}
)

set_target_properties(camel PROPERTIES
	VERSION "${LIBCAMEL_CURRENT}.${LIBCAMEL_REVISION}.${LIBCAMEL_AGE}"
	SOVERSION ${LIBCAMEL_CURRENT}
	OUTPUT_NAME camel-${API_VERSION}
	INSTALL_RPATH ""
)

target_compile_definitions(camel PRIVATE
	-DG_LOG_DOMAIN=\"camel\"
	-DCAMEL_LIBEXECDIR=\"${LIBEXEC_INSTALL_DIR}\"
	-DCAMEL_PROVIDERDIR=\"${camel_providerdir}\"
	-DE_DATA_SERVER_PREFIX=\"${CMAKE_INSTALL_PREFIX}\"
	-DLOCALEDIR=\"${LOCALE_INSTALL_DIR}\"
	-DCAMEL_COMPILATION
)

target_compile_options(camel PUBLIC
	${CAMEL_CFLAGS}
	${SOCKET_CFLAGS}
	${ICONV_CFLAGS}
	${REGEX_CFLAGS}
	${LIBDWFL_CFLAGS}
)

target_include_directories(camel PUBLIC
	${CMAKE_BINARY_DIR}
	${CMAKE_BINARY_DIR}/src
	${CMAKE_CURRENT_BINARY_DIR}
	${CMAKE_SOURCE_DIR}/src
	${CMAKE_CURRENT_SOURCE_DIR}
	${CAMEL_INCLUDE_DIRS}
	${SOCKET_INCLUDE_DIRS}
	${ICONV_INCLUDE_DIRS}
	${REGEX_INCLUDE_DIRS}
)

target_link_libraries(camel
	${CAMEL_LDFLAGS}
	${SOCKET_LDFLAGS}
	${ICONV_LDFLAGS}
	${REGEX_LDFLAGS}
	${LIBDWFL_LIBS}
)

install(TARGETS camel
	DESTINATION ${LIB_INSTALL_DIR}
)

install(FILES ${HEADERS}
	DESTINATION ${privincludedir}/camel
)

add_pkgconfig_file(camel.pc.in camel-${API_VERSION}.pc)

set(gir_sources ${SOURCES} ${HEADERS})
set(gir_identifies_prefixes Camel camel)
set(gir_includes GObject-2.0 Gio-2.0 libxml2-2.0)
set(gir_cflags -DCAMEL_COMPILATION)
set(gir_libdirs)
set(gir_libs camel)
set(gir_deps)

gir_add_introspection_simple(
	Camel
	camel
	${API_VERSION}
	"camel/camel.h"
	gir_identifies_prefixes
	gir_includes
	gir_cflags
	gir_libdirs
	gir_libs
	gir_deps
	gir_sources
)

if(NOT WIN32)
	add_executable(camel-lock-helper
		camel-lock.c
		camel-lock.h
		camel-lock-helper.c
		camel-lock-helper.h
	)

	set_target_properties(camel-lock-helper PROPERTIES
		OUTPUT_NAME camel-lock-helper-${API_VERSION}
		INSTALL_RPATH ""
	)

	target_compile_definitions(camel-lock-helper PRIVATE
		-DG_LOG_DOMAIN=\"camel-lock-helper\"
		-DCAMEL_LIBEXECDIR=\"${LIBEXEC_INSTALL_DIR}\"
		-DCAMEL_PROVIDERDIR=\"${camel_providerdir}\"
		-DE_DATA_SERVER_PREFIX=\"${CMAKE_INSTALL_PREFIX}\"
		-DLOCALEDIR=\"${LOCALE_INSTALL_DIR}\"
		-DCAMEL_COMPILATION
	)

	target_compile_options(camel-lock-helper PUBLIC
		${GNOME_PLATFORM_CFLAGS}
	)

	target_include_directories(camel-lock-helper PUBLIC
		${CMAKE_BINARY_DIR}
		${CMAKE_BINARY_DIR}/src
		${CMAKE_CURRENT_BINARY_DIR}
		${CMAKE_SOURCE_DIR}/src
		${CMAKE_CURRENT_SOURCE_DIR}
		${GNOME_PLATFORM_INCLUDE_DIRS}
	)

	target_link_libraries(camel-lock-helper
		${GNOME_PLATFORM_LDFLAGS}
	)

	install(TARGETS camel-lock-helper
		DESTINATION ${LIBEXEC_INSTALL_DIR}
	)
endif(NOT WIN32)

add_executable(camel-index-control
	camel-index-control.c
)

add_dependencies(camel-index-control camel)

set_target_properties(camel-index-control PROPERTIES
	OUTPUT_NAME camel-index-control-${API_VERSION}
)

target_compile_definitions(camel-index-control PRIVATE
	-DG_LOG_DOMAIN=\"camel-index-control-${API_VERSION}\"
	-DCAMEL_LIBEXECDIR=\"${LIBEXEC_INSTALL_DIR}\"
	-DCAMEL_PROVIDERDIR=\"${camel_providerdir}\"
	-DE_DATA_SERVER_PREFIX=\"${CMAKE_INSTALL_PREFIX}\"
	-DLOCALEDIR=\"${LOCALE_INSTALL_DIR}\"
	-DCAMEL_COMPILATION
)

target_compile_options(camel-index-control PUBLIC
	${CAMEL_CFLAGS}
	${SOCKET_CFLAGS}
	${ICONV_CFLAGS}
	${REGEX_CFLAGS}
	${LIBDWFL_CFLAGS}
)

target_include_directories(camel-index-control PUBLIC
	${CMAKE_BINARY_DIR}
	${CMAKE_BINARY_DIR}/src
	${CMAKE_CURRENT_BINARY_DIR}
	${CMAKE_SOURCE_DIR}/src
	${CMAKE_CURRENT_SOURCE_DIR}
	${CAMEL_INCLUDE_DIRS}
	${SOCKET_INCLUDE_DIRS}
	${ICONV_INCLUDE_DIRS}
	${REGEX_INCLUDE_DIRS}
)

target_link_libraries(camel-index-control
	camel
	${CAMEL_LDFLAGS}
	${SOCKET_LDFLAGS}
	${ICONV_LDFLAGS}
	${REGEX_LDFLAGS}
	${LIBDWFL_LDFLAGS}
)

install(TARGETS camel-index-control
	DESTINATION ${LIBEXEC_INSTALL_DIR}
)

add_executable(camel-gpg-photo-saver
	camel-gpg-photo-saver.c
)

set_target_properties(camel-gpg-photo-saver PROPERTIES
	INSTALL_RPATH ""
)

target_compile_definitions(camel-gpg-photo-saver PRIVATE
	-DG_LOG_DOMAIN=\"camel-gpg-photo-saver\"
)

target_compile_options(camel-gpg-photo-saver PUBLIC
	${GNOME_PLATFORM_CFLAGS}
)

target_include_directories(camel-gpg-photo-saver PUBLIC
	${CMAKE_BINARY_DIR}
	${CMAKE_BINARY_DIR}/src
	${CMAKE_CURRENT_BINARY_DIR}
	${CMAKE_SOURCE_DIR}/src
	${CMAKE_CURRENT_SOURCE_DIR}
	${GNOME_PLATFORM_INCLUDE_DIRS}
)

target_link_libraries(camel-gpg-photo-saver
	${GNOME_PLATFORM_LDFLAGS}
)

install(TARGETS camel-gpg-photo-saver
	DESTINATION ${LIBEXEC_INSTALL_DIR}
)

add_subdirectory(providers)

if(ENABLE_TESTS)
	add_subdirectory(tests)
endif(ENABLE_TESTS)

=== src/private/CMakeLists.txt ===

set(GENERATED_DBUS_LOCALE
	e-dbus-localed.c
	e-dbus-localed.h
)

gdbus_codegen(org.freedesktop.locale1.xml
	org.freedesktop.
	E_DBus
	e-dbus-localed
	GENERATED_DBUS_LOCALE)

set(GENERATED_DBUS_SOURCE
	e-dbus-source.c
	e-dbus-source.h
	e-dbus-source-org.gnome.evolution.dataserver.Source.xml
	e-dbus-source-org.gnome.evolution.dataserver.Source.Removable.xml
	e-dbus-source-org.gnome.evolution.dataserver.Source.Writable.xml
	e-dbus-source-org.gnome.evolution.dataserver.Source.RemoteCreatable.xml
	e-dbus-source-org.gnome.evolution.dataserver.Source.RemoteDeletable.xml
	e-dbus-source-org.gnome.evolution.dataserver.Source.OAuth2Support.xml
)

gdbus_codegen_custom(org.gnome.evolution.dataserver.Source.xml
	org.gnome.evolution.dataserver.
	E_DBus
	e-dbus-source
	GENERATED_DBUS_SOURCE
	--c-generate-object-manager)

set(GENERATED_DBUS_SOURCE_MANAGER
	e-dbus-source-manager.c
	e-dbus-source-manager.h
	e-dbus-source-manager-org.gnome.evolution.dataserver.SourceManager.xml
)

gdbus_codegen(org.gnome.evolution.dataserver.SourceManager.xml
	org.gnome.evolution.dataserver.
	E_DBus
	e-dbus-source-manager
	GENERATED_DBUS_SOURCE_MANAGER)

set(GENERATED_DBUS_AUTHENTICATOR
	e-dbus-authenticator.c
	e-dbus-authenticator.h
	e-dbus-authenticator-org.gnome.evolution.dataserver.Authenticator.xml
)

gdbus_codegen(org.gnome.evolution.dataserver.Authenticator.xml
	org.gnome.evolution.dataserver.
	E_DBus
	e-dbus-authenticator
	GENERATED_DBUS_AUTHENTICATOR)

set(GENERATED_DBUS_USER_PROMPTER
	e-dbus-user-prompter.c
	e-dbus-user-prompter.h
	e-dbus-user-prompter-org.gnome.evolution.dataserver.UserPrompter.xml
)

gdbus_codegen(org.gnome.evolution.dataserver.UserPrompter.xml
	org.gnome.evolution.dataserver.
	E_DBus
	e-dbus-user-prompter
	GENERATED_DBUS_USER_PROMPTER)

set(GENERATED_DBUS_ADDRESS_BOOK
	e-dbus-address-book.c
	e-dbus-address-book.h
	e-dbus-address-book-org.gnome.evolution.dataserver.AddressBook.xml
)

gdbus_codegen(org.gnome.evolution.dataserver.AddressBook.xml
	org.gnome.evolution.dataserver.
	E_DBus
	e-dbus-address-book
	GENERATED_DBUS_ADDRESS_BOOK)

set(GENERATED_DBUS_ADDRESS_BOOK_CURSOR
	e-dbus-address-book-cursor.c
	e-dbus-address-book-cursor.h
	e-dbus-address-book-cursor-org.gnome.evolution.dataserver.AddressBookCursor.xml
)

gdbus_codegen(org.gnome.evolution.dataserver.AddressBookCursor.xml
	org.gnome.evolution.dataserver.
	E_DBus
	e-dbus-address-book-cursor
	GENERATED_DBUS_ADDRESS_BOOK_CURSOR)

set(GENERATED_DBUS_ADDRESS_BOOK_VIEW
	e-dbus-address-book-view.c
	e-dbus-address-book-view.h
	e-dbus-address-book-view-org.gnome.evolution.dataserver.AddressBookView.xml
)

gdbus_codegen(org.gnome.evolution.dataserver.AddressBookView.xml
	org.gnome.evolution.dataserver.
	E_DBus
	e-dbus-address-book-view
	GENERATED_DBUS_ADDRESS_BOOK_VIEW)

set(GENERATED_DBUS_DIRECT_BOOK
	e-dbus-direct-book.c
	e-dbus-direct-book.h
	e-dbus-direct-book-org.gnome.evolution.dataserver.DirectBook.xml
)

gdbus_codegen(org.gnome.evolution.dataserver.DirectBook.xml
	org.gnome.evolution.dataserver.
	E_DBus
	e-dbus-direct-book
	GENERATED_DBUS_DIRECT_BOOK)

set(GENERATED_DBUS_ADDRESS_BOOK_FACTORY
	e-dbus-address-book-factory.c
	e-dbus-address-book-factory.h
	e-dbus-address-book-factory-org.gnome.evolution.dataserver.AddressBookFactory.xml
)

gdbus_codegen(org.gnome.evolution.dataserver.AddressBookFactory.xml
	org.gnome.evolution.dataserver.
	E_DBus
	e-dbus-address-book-factory
	GENERATED_DBUS_ADDRESS_BOOK_FACTORY)

set(GENERATED_DBUS_CALENDAR
	e-dbus-calendar.c
	e-dbus-calendar.h
	e-dbus-calendar-org.gnome.evolution.dataserver.Calendar.xml
)

gdbus_codegen(org.gnome.evolution.dataserver.Calendar.xml
	org.gnome.evolution.dataserver.
	E_DBus
	e-dbus-calendar
	GENERATED_DBUS_CALENDAR)

set(GENERATED_DBUS_CALENDAR_FACTORY
	e-dbus-calendar-factory.c
	e-dbus-calendar-factory.h
	e-dbus-calendar-factory-org.gnome.evolution.dataserver.CalendarFactory.xml
)

gdbus_codegen(org.gnome.evolution.dataserver.CalendarFactory.xml
	org.gnome.evolution.dataserver.
	E_DBus
	e-dbus-calendar-factory
	GENERATED_DBUS_CALENDAR_FACTORY)

set(GENERATED_DBUS_CALENDAR_VIEW
	e-dbus-calendar-view.c
	e-dbus-calendar-view.h
	e-dbus-calendar-view-org.gnome.evolution.dataserver.CalendarView.xml
)

gdbus_codegen(org.gnome.evolution.dataserver.CalendarView.xml
	org.gnome.evolution.dataserver.
	E_DBus
	e-dbus-calendar-view
	GENERATED_DBUS_CALENDAR_VIEW)

set(GENERATED_DBUS_OAUTH2_RESPONSE
	e-dbus-oauth2-response.c
	e-dbus-oauth2-response.h
	e-dbus-oauth2-response-org.gnome.evolution.dataserver.OAuth2Response.xml
)

gdbus_codegen(org.gnome.evolution.dataserver.OAuth2Response.xml
	org.gnome.evolution.dataserver.
	E_DBus
	e-dbus-oauth2-response
	GENERATED_DBUS_OAUTH2_RESPONSE)

set(GENERATED_DBUS_SUBPROCESS_BACKEND
	e-dbus-subprocess-backend.c
	e-dbus-subprocess-backend.h
	e-dbus-subprocess-backend-org.gnome.evolution.dataserver.Subprocess.Backend.xml
)

gdbus_codegen_custom(org.gnome.evolution.dataserver.Subprocess.Backend.xml
	org.gnome.evolution.dataserver.Subprocess
	E_DBus_Subprocess
	e-dbus-subprocess-backend
	GENERATED_DBUS_SUBPROCESS_BACKEND
	--c-generate-object-manager)

add_library(edbus-private SHARED
	${GENERATED_DBUS_LOCALE}
	${GENERATED_DBUS_SOURCE}
	${GENERATED_DBUS_SOURCE_MANAGER}
	${GENERATED_DBUS_AUTHENTICATOR}
	${GENERATED_DBUS_ADDRESS_BOOK}
	${GENERATED_DBUS_ADDRESS_BOOK_CURSOR}
	${GENERATED_DBUS_ADDRESS_BOOK_VIEW}
	${GENERATED_DBUS_DIRECT_BOOK}
	${GENERATED_DBUS_ADDRESS_BOOK_FACTORY}
	${GENERATED_DBUS_CALENDAR}
	${GENERATED_DBUS_CALENDAR_FACTORY}
	${GENERATED_DBUS_CALENDAR_VIEW}
	${GENERATED_DBUS_USER_PROMPTER}
	${GENERATED_DBUS_SUBPROCESS_BACKEND}
	${GENERATED_DBUS_OAUTH2_RESPONSE}
)

set_target_properties(edbus-private PROPERTIES
	INSTALL_RPATH ""
)

target_compile_definitions(edbus-private PRIVATE
	-DG_LOG_DOMAIN=\"libedbus-private\"
)

target_compile_options(edbus-private PUBLIC
	${DATA_SERVER_CFLAGS}
	${GIO_UNIX_CFLAGS}
)

target_include_directories(edbus-private PUBLIC
	${CMAKE_BINARY_DIR}
	${CMAKE_BINARY_DIR}/src
	${DATA_SERVER_INCLUDE_DIRS}
	${GIO_UNIX_INCLUDE_DIRS}
)

target_link_libraries(edbus-private
	${DATA_SERVER_LDFLAGS}
	${GIO_UNIX_LDFLAGS}
)

install(TARGETS edbus-private
	DESTINATION ${privsolibdir}
)

=== src/addressbook/backends/file/CMakeLists.txt ===
set(DEPENDENCIES
	ebackend
	ebook
	ebook-contacts
	edataserver
	edata-book
)

set(SOURCES
	e-book-backend-file.c
	e-book-backend-file.h
	e-book-backend-file-factory.c
	e-book-sqlite-keys.c
	e-book-sqlite-keys.h
)

if(ENABLE_MAINTAINER_MODE)
	list(APPEND SOURCES
		e-book-backend-dummy.c
		e-book-backend-dummy.h
		e-book-backend-dummy-meta.c
		e-book-backend-dummy-meta.h
	)
endif(ENABLE_MAINTAINER_MODE)

if(HAVE_LIBDB)
	list(APPEND SOURCES
		e-book-backend-file-migrate-bdb.c
		e-book-backend-file-migrate-bdb.h
	)
endif(HAVE_LIBDB)

add_library(ebookbackendfile MODULE
	${SOURCES}
)

add_dependencies(ebookbackendfile
	${DEPENDENCIES}
)

target_compile_definitions(ebookbackendfile PRIVATE
	-DG_LOG_DOMAIN=\"e-book-backend-file\"
	-DBACKENDDIR=\"${ebook_backenddir}\"
)

target_compile_options(ebookbackendfile PUBLIC
	${ADDRESSBOOK_CFLAGS}
	${LIBDB_CFLAGS}
)

target_include_directories(ebookbackendfile PUBLIC
	${CMAKE_BINARY_DIR}
	${CMAKE_BINARY_DIR}/src
	${CMAKE_SOURCE_DIR}/src
	${CMAKE_BINARY_DIR}/src/addressbook
	${CMAKE_SOURCE_DIR}/src/addressbook
	${ADDRESSBOOK_INCLUDE_DIRS}
	${LIBDB_INCLUDE_DIRS}
)

target_link_libraries(ebookbackendfile
	${DEPENDENCIES}
	${ADDRESSBOOK_LDFLAGS}
	${LIBDB_LIBS}
)

install(TARGETS ebookbackendfile
	DESTINATION ${ebook_backenddir}
)

=== src/addressbook/backends/ldap/CMakeLists.txt ===
set(DEPENDENCIES
	ebackend
	ebook
	ebook-contacts
	edataserver
	edata-book
)

add_library(ebookbackendldap MODULE
	e-book-backend-ldap.c
	e-book-backend-ldap.h
	e-book-backend-ldap-factory.c
)

add_dependencies(ebookbackendldap
	${DEPENDENCIES}
)

target_compile_definitions(ebookbackendldap PRIVATE
	-DG_LOG_DOMAIN=\"e-book-backend-ldap\"
	-DBACKENDDIR=\"${ebook_backenddir}\"
)

target_compile_options(ebookbackendldap PUBLIC
	${ADDRESSBOOK_CFLAGS}
	${LDAP_CFLAGS}
)

target_include_directories(ebookbackendldap PUBLIC
	${CMAKE_BINARY_DIR}
	${CMAKE_BINARY_DIR}/src
	${CMAKE_SOURCE_DIR}/src
	${CMAKE_BINARY_DIR}/src/addressbook
	${CMAKE_SOURCE_DIR}/src/addressbook
	${ADDRESSBOOK_INCLUDE_DIRS}
	${LDAP_INCLUDE_DIRS}
)

target_link_libraries(ebookbackendldap
	${DEPENDENCIES}
	${ADDRESSBOOK_LDFLAGS}
	${LDAP_LIBS}
)

install(TARGETS ebookbackendldap
	DESTINATION ${ebook_backenddir}
)

install(FILES evolutionperson.schema
	DESTINATION ${privdatadir}
)

=== debian/changelog ===
evolution-data-server (3.52.0-1build3) noble; urgency=medium

  * No-change rebuild against libdb5.3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 06 Apr 2024 01:14:15 +0000

evolution-data-server (3.52.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:33:57 +0000

evolution-data-server (3.52.0-1build1) noble; urgency=medium

  * No-change rebuild against libcanberra t64.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 24 Mar 2024 14:46:27 +0100

evolution-data-server (3.52.0-1) experimental; urgency=medium

  * New upstream release
    - 3.51.3 Bug Fixes:
      + CalDAV Scheduling - utilize SCHEDULE-AGENT propertyparameter
        (https://gitlab.gnome.org/GNOME/evolution-data-server/-/issues/139)
      + build: Make sure tests run in serial
        (https://gitlab.gnome.org/GNOME/evolution-data-server/-/issues/522)
      + IMAPx: Disable PREVIEW fetch on error
        (https://gitlab.gnome.org/GNOME/evolution-data-server/-/issues/526)
      + Camel: Long header folding should not add empty folding line
        (https://gitlab.gnome.org/GNOME/evolution-data-server/-/issues/527)
      + Camel: Fix possible busy loop in camel-lock-helper
        (https://gitlab.gnome.org/GNOME/evolution-data-server/-/issues/528)
      + Support webcals: URI
        (https://gitlab.gnome.org/GNOME/evolution/-/issues/2675)
    - 3.52.0 Bug Fixes:
      + addressbook: Crash on authenticate and finalize in two threads
        (https://gitlab.gnome.org/GNOME/evolution-data-server/-/issues/523)
      + Calendar: Prefer html/markdown description in preview
        (https://gitlab.gnome.org/GNOME/evolution/-/issues/2672)
    - 3.52.0 Miscellaneous:
      + SetupBuildFlags.cmake: Remove "-Wl,--no-undefined" from compiler flags
        (https://gitlab.gnome.org/GNOME/evolution-data-server/-/commit/e02f0cbc)
      + Replace https://wiki.gnome.org/Apps/Evolution in the sources
        (https://gitlab.gnome.org/GNOME/evolution-data-server/-/commit/5159620e)
      + Replace live.gnome.org with wiki.gnome.org URI (Andre Klapper)
        (https://gitlab.gnome.org/GNOME/evolution-data-server/-/commit/32d6ffed)
  * debian/libecal-2.0-3.symbols: Update to add new symbol

 -- Amin Bandali <bandali@ubuntu.com>  Wed, 20 Mar 2024 09:54:27 -0400

evolution-data-server (3.51.2-1) experimental; urgency=medium

  * New upstream release
  * debian/evolution-data-server.install: Install alarm-notify app icon
  * Update package name to match soname bump: libecal-2.0-2t64 → libecal-2.0-3
  * Update symbols files

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 28 Feb 2024 11:25:32 -0500

evolution-data-server (3.50.3-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build depedency on dpkg-dev to use >= not >> (sorry).

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 06 Mar 2024 12:48:17 +1300

=== debian/control ===
Source: evolution-data-server
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Amin Bandali <bandali@ubuntu.com>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Marco Trevisan (Treviño) <marco@ubuntu.com>
Build-Depends: dpkg-dev (>= 1.22.5),
               cmake,
               debhelper-compat (= 13),
               dh-sequence-gir,
               dh-sequence-gnome,
               libtool,
               intltool (>= 0.35.5),
               libcanberra-gtk3-dev (>= 0.25),
               libdb-dev,
               libglib2.0-dev (>= 2.40),
               libglib2.0-doc (>= 2.40),
               libgirepository1.0-dev (>= 1.59.1),
               libsecret-1-dev (>= 0.5),
               libgoa-1.0-dev (>= 3.8),
               libgtk-3-dev (>= 3.10),
               libgtk-4-dev (>= 4.4),
               libgweather-4-dev (>= 4.1),
               libical-dev (>= 3.0.7),
               libicu-dev,
               libjson-glib-dev (>= 1.0.4) [!ia64],
               libkrb5-dev,
               libldap2-dev,
               liboauth-dev (>= 0.9.4),
               librest-dev (>= 0.7),
               libnss3-dev,
               libnspr4-dev,
               libsoup-3.0-dev (>= 3.1.1),
               libsqlite3-dev (>= 3.7.17),
               libwebkit2gtk-4.1-dev [!ia64],
               libwebkitgtk-6.0-dev [!ia64],
               libxml2-dev (>= 2.0.0),
               gtk-doc-tools (>= 1.14),
               gperf,
               pkg-config (>= 0.16),
               valac (>= 0.22),
               libphonenumber-dev [!hppa !hurd-any !ia64],
               db-util <!nocheck>,
               dbus <!nocheck>,
Rules-Requires-Root: binary-targets
Standards-Version: 4.6.2
Homepage: https://wiki.gnome.org/Apps/Evolution
Vcs-Git: https://salsa.debian.org/gnome-team/evolution-data-server.git
Vcs-Browser: https://salsa.debian.org/gnome-team/evolution-data-server

Package: evolution-data-server
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution-data-server-common (>= ${source:Version}),
         libcamel-1.2-64t64 (= ${binary:Version}),
         gnome-keyring,
Breaks: chatty (<< 0.6.7-3~),
        evolution (<< 3.45),
        gnome-shell (<< 42.4-2~),
        libevolution (<< 3.29.90),
        libgoa-1.0-0b (<< 3.45),
        roger-router (<< 2.4.2-3~),
Replaces: evolution (<< 3.29.90),
          libevolution (<< 3.29.90)
Suggests: evolution
Description: evolution database backend server
 The data server, called "Evolution Data Server" is responsible for managing
 mail, calendar, addressbook, tasks and memo information.

Package: evolution-data-server-common
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: architecture independent files for Evolution Data Server
 The data server, called "Evolution Data Server" is responsible for managing
 calendar and addressbook information.
 .
 This package contains the architecture independent files needed
 by the evolution-data-server package.

Package: evolution-data-server-tests
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution-common,
         evolution-data-server
Description: Installed tests for the evolution database backend server
 The data server, called "Evolution Data Server" is responsible for managing
 mail, calendar, addressbook, tasks and memo information.
 .
 This package contains test programs, designed to be run as part of a
 regression testsuite.

Package: evolution-data-server-dev
Section: devel
Architecture: any
Depends: ${misc:Depends},
         libglib2.0-dev (>= 2.40),
         libnss3-dev,
         libnspr4-dev
Description: Development files for evolution-data-server (metapackage)
 This package contains header files and static library of evolution-data-server.

Package: evolution-data-server-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: devhelp
Description: Documentation files for the Evolution Data Server libraries
 The data server, called "Evolution Data Server" is responsible for managing
 calendar and addressbook information.
 .
 This package contains the API documentation for all the individual
 Evolution Data Server libraries.

Package: libedataserver-1.2-27t64
Provides: ${t64:Provides}
Replaces: libedataserver-1.2-27
Breaks: libedataserver-1.2-27 (<< ${source:Version})
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution-data-server-common (>= ${gnome:Version})
Description: Utility library for evolution data servers
 The data server, called "Evolution Data Server" is responsible for managing
 calendar and addressbook information.
 .
 This package is a utility library for evolution-data-server.

Package: libedataserver1.2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libedataserver-1.2-27t64 (= ${binary:Version}),
         gir1.2-edataserver-1.2 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
         libcamel1.2-dev (= ${binary:Version}),
         libxml2-dev,
         libglib2.0-dev (>= 2.40),
         libjson-glib-dev (>= 1.0.4) [!ia64],
         libsoup-3.0-dev (>= 3.1.1),
         libsecret-1-dev
Description: Utility library for evolution data servers (development files)
 The data server, called "Evolution Data Server" is responsible for managing
 calendar and addressbook information.
 .
 This package contains header files and static library for libedataserver.

Package: gir1.2-edataserver-1.2
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: GObject introspection for the EDataServer library
 The data server, called "Evolution Data Server" is responsible for managing
 calendar and addressbook information.
 .
 This package contains introspection data for the libedataserver
 library. It can be used by packages using the GIRepository format to
 generate dynamic bindings.

Package: libedataserverui-1.2-4t64
Provides: ${t64:Provides}
Replaces: libedataserverui-1.2-4
Breaks: libedataserverui-1.2-4 (<< ${source:Version})
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution-data-server-common (>= ${gnome:Version})
Description: Utility library for evolution data servers
 The data server, called "Evolution Data Server" is responsible for managing
 calendar and addressbook information.
 .
 This package is a UI utility library for evolution-data-server.

Package: libedataserverui1.2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libedataserverui-1.2-4t64 (= ${binary:Version}),
         gir1.2-edataserverui-1.2 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
         libedata-book1.2-dev,
         libcamel1.2-dev (= ${binary:Version}),
         libecal2.0-dev (= ${binary:Version}),
         libedataserver1.2-dev (= ${binary:Version}),
         libxml2-dev,
         libglib2.0-dev (>= 2.40),
         libgtk-3-dev,
         libsoup-3.0-dev (>= 3.1.1),
         libsecret-1-dev
Description: Utility library for evolution data servers (development files)
 The data server, called "Evolution Data Server" is responsible for managing
 calendar and addressbook information.
 .
 This package contains development files for libedataserverui.

Package: gir1.2-edataserverui-1.2
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: GObject introspection for the EDataServerUI library
 The data server, called "Evolution Data Server" is responsible for managing
 calendar and addressbook information.
 .
 This package contains introspection data for the libedataserverui
 library. It can be used by packages using the GIRepository format to
 generate dynamic bindings.

Package: libedataserverui4-1.0-0t64
Provides: ${t64:Provides}
Replaces: libedataserverui4-1.0-0
Breaks: libedataserverui4-1.0-0 (<< ${source:Version})
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution-data-server-common (>= ${gnome:Version})
Description: GTK4 utility library for evolution data servers
 The data server, called "Evolution Data Server" is responsible for managing
 calendar and addressbook information.
 .
 This package is a GTK4 UI utility library for evolution-data-server.

Package: libedataserverui4-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libedataserverui4-1.0-0t64 (= ${binary:Version}),
         gir1.2-edataserverui4-1.0 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
         libedata-book1.2-dev,
         libcamel1.2-dev (= ${binary:Version}),
         libecal2.0-dev (= ${binary:Version}),
         libedataserver1.2-dev (= ${binary:Version}),
         libxml2-dev,
         libglib2.0-dev (>= 2.40),
         libgtk-4-dev (>= 4.4),
         libsoup-3.0-dev (>= 3.1.1),
         libsecret-1-dev
Description: GTK4 Utility library for evolution data server (development files)
 The data server, called "Evolution Data Server" is responsible for managing
 calendar and addressbook information.
 .
 This package contains development files for libedataserverui.

Package: gir1.2-edataserverui4-1.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: GObject introspection for the EDataServerUI4 library
 The data server, called "Evolution Data Server" is responsible for managing
 calendar and addressbook information.
 .
 This package contains introspection data for the libedataserverui4
 library. It can be used by packages using the GIRepository format to
 generate dynamic bindings.

Package: libcamel-1.2-64t64
Provides: ${t64:Provides}
Replaces: libcamel-1.2-64
Breaks: libcamel-1.2-64 (<< ${source:Version})
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Evolution MIME message handling library
 Camel is a generic messaging library. It supports the standard
 messaging system for receiving and sending messages. It is the
 messaging backend for Evolution.
 .
 Evolution is the integrated mail, calendar, task and address book
 distributed suite from Novell, Inc.

Package: libcamel1.2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libcamel-1.2-64t64 (= ${binary:Version}),
         gir1.2-camel-1.2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         libglib2.0-dev (>= 2.40),
         libsqlite3-dev (>= 3.5),
         libnss3-dev,
         libnspr4-dev
Description: Development files for libcamel
 This package contains header files and static library for libcamel.
 .
 Camel is a generic messaging library. It supports the standard
 messaging system for receiving and sending messages. It is the
 messaging backend for Evolution.
 .
 Evolution is the integrated mail, calendar, task and address book
 distributed suite from Novell, Inc.

Package: gir1.2-camel-1.2
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: GObject introspection for the Camel library
 Camel is a generic messaging library. It supports the standard
 messaging system for receiving and sending messages. It is the
 messaging backend for Evolution.
 .
 Evolution is the integrated mail, calendar, task and address book
 distributed suite from Novell, Inc.
 .
 This package contains introspection data for the libcamel
 library. It can be used by packages using the GIRepository format to
 generate dynamic bindings.

Package: libebook-1.2-21t64
Provides: ${t64:Provides}
